Cheezee Posted July 23, 2015 Posted July 23, 2015 (edited) Revise Thread sorry for inconvenience What do I really want is to combined Pline and Fillet command after calling the lsp command it will first ask for the radius of the fillet. pls see attachment for drawing Intepretation Edited July 24, 2015 by Cheezee Quote
rlx Posted July 23, 2015 Posted July 23, 2015 I think nobody really understands what it is your asking for. I used your routine and it draws 'someting' but it doesn't mean sh*t to me , forgive my language ;-) What is it what you are drawing with this routine? how should it look like in your drawing? Is it suppost to be a kind of lineype??? Maybe you can shed some more light on what it is exacly what your trying to achive here? gr. Rlx Quote
BIGAL Posted July 24, 2015 Posted July 24, 2015 Two choices, you can draw a pline and add radius after, the code is posted here need to search or you can every 3 points draw the pline using a bulge and add straight away the arc. Check http://www.Lee-mac.com he may have something already done Quote
Cheezee Posted July 24, 2015 Author Posted July 24, 2015 It was not Polyline sorry again got confused about the shortcut key PL I thought it is polyline it was PLine Quote
BIGAL Posted July 25, 2015 Posted July 25, 2015 Just draw a pline then Fillet, R, radius, P, pick pline all done. A quick google revealed there are so many options on the standard commands. Quote
Cheezee Posted July 25, 2015 Author Posted July 25, 2015 Is it possible those two command in single command? I mean you will input radius once then the rest will be just clicking no more space bar... At middle point of every intersection/corner of pline will automatically fillet.... Quote
rlx Posted July 25, 2015 Posted July 25, 2015 (defun c:dfp ();draw filleted polyline (command ".Pline") (while (= 1 (logand (getvar "cmdactive") 1))(command pause)) (setvar "filletrad" (getdist "\nEnter fillet radius")) (command ".fillet" "p" (entlast)) ) gr. R. Quote
Cheezee Posted July 25, 2015 Author Posted July 25, 2015 Thank your sir rlx, What I really intended to do is to minimize the use of space bar and lsp will only ask the radius once and it will be constant throughout the command then the rest is more on clicking... with my eagerness to find a way to get my hand in auto fillet I found this site https://screencast.autodesk.com/Main/Details/0c255475-447e-466e-985e-b6b783841092 but the sad part is it requires .net and would need some stripping etc., I don't know if LSP can do it Quote
rlx Posted July 25, 2015 Posted July 25, 2015 oops my mistake , i placed the radius part in the while loop when it should be before or after (defun c:dfp ();draw filleted polyline (setvar "filletrad" (getdist "\nEnter fillet radius")) (command ".Pline") (while (= 1 (logand (getvar "cmdactive") 1))(command pause)) (command ".fillet" "p" (entlast)) ) gr.R. Quote
Cheezee Posted July 25, 2015 Author Posted July 25, 2015 (edited) Thank you sir rlx, uhmmpp if it is ok can we reduce using space bar, after entering the radius of fillet the next thing to do is on clicking as in purely click Edited July 25, 2015 by Cheezee Quote
rlx Posted July 25, 2015 Posted July 25, 2015 no problem, another way , little bit old-school (defun c:dfp ( / p1 p2 p3 poly el) (setvar "filletrad" (getdist "\nEnter fillet radius")) (setq p1 (getpoint "\nStartpoint polyline ") p2 (getpoint p1 "\nNext point")) (command ".pline" p1 p2 "")(setq poly (entlast)) (while (setq p3 (getpoint p2 "\nNext point")) (command ".pline" p2 p3 "")(setq el (entlast)) (command ".pedit" (eval el) "j" (eval poly) "" "") (command "fillet" "p" (eval el)) (setq poly el p2 p3)) ) good luck gr.R. Quote
Cheezee Posted July 26, 2015 Author Posted July 26, 2015 Thank you thank you, it is same with the above link it works perfectly. Quote
BIGAL Posted July 26, 2015 Posted July 26, 2015 (edited) rlx a better way to do pline it was a suggestion by other guys here. (setvar "filletrad" (getdist "\nEnter fillet radius")) ; create pline by picking points press enter when finished (command "_pline") (while (= (getvar "cmdactive") 1 ) (command pause) ) (command "fillet" "p" (entlast)) Edited July 26, 2015 by BIGAL Quote
rlx Posted July 26, 2015 Posted July 26, 2015 I agree BigAl but I just wanted to show a way that you instandly see the filleted corner as shown in the link to the .net example. The choise is his. gr.R Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.